Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.calendar
Interface ICalendarItem

All Known Subinterfaces:
  ITask

public interface ICalendarItem

Parent interface of `ITask`.

Method Summary
`java.util.Date` | `getEndTime()` Returns the end time of this calendar item.
`java.util.Date` | `getStartTime()` Returns the start time of this calendar item.
`void` | `setEndTime(java.util.Date endTime)` Sets the end time of this calendar item.
`void` | `setStartTime(java.util.Date startTime)` Sets the start time of this calendar item.

Method Detail

### getEndTime

    public java.util.Date getEndTime()

  Returns the end time of this calendar item.

  Returns:
    the end time of this calendar item
  Throws:
    `java.lang.IllegalStateException` - if the object has not yet been stored or has already been removed

### getStartTime

    public java.util.Date getStartTime()

  Returns the start time of this calendar item. If the current object is an `ITask` and has a task dependency on some other source task, the start time of current task will be set automatically to the end time of the source task.

  Returns:
    the start time of the calendar item
  Throws:
    `java.lang.IllegalStateException` - if the object has not yet been stored or has already been removed

### setEndTime

    public void setEndTime(java.util.Date endTime)

  Sets the end time of this calendar item. Note: The value of the date stored in the database may vary by a few milliseconds from the supplied date. The date in this object will reflect the stored date after a call to `store`.

  Parameters:
    `endTime` - the end time of the calendar item
  Throws:
    `java.lang.IllegalStateException` - if the object has already been removed

### setStartTime

    public void setStartTime(java.util.Date startTime)

  Sets the start time of this calendar item. Note: The value of the date stored in the database may vary by a few milliseconds from the supplied date. The date in this object will reflect the stored date after a call to `store`.

  Parameters:
    `startTime` - the start time of the calendar item
  Throws:
    `java.lang.IllegalStateException` - if the object has already been removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.